Index: ecs_cellMon/hardware/cellMon2.s#9
===================================================================
--- ecs_cellMon/hardware/cellMon2.s#9	(revision 6)
+++ ecs_cellMon/hardware/cellMon2.s#9	(revision 7)
@@ -39741,243 +39741,4 @@
 </devicesets>
 </library>
-<library name="Wurth_Connectors_WR-TBL Spring Clamp" urn="urn:adsk.eagle:library:16178084">
-<description>&lt;BR&gt;Wurth Elektronik - Connectors - Terminal Blocks - WR-TBL Spring Clamp &lt;br&gt;&lt;Hr&gt;
-
-&lt;BR&gt;
-&lt;TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0&gt;
-&lt;TR&gt;   
-&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;&lt;br&gt;
-      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
-       &lt;BR&gt;
-       &lt;BR&gt;
-       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
-    &lt;/TD&gt;
-&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
-      -----&lt;BR&gt;
-      -----&lt;BR&gt;
-      -----&lt;BR&gt;
-      -----&lt;BR&gt;
-      -----&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
-    &lt;/TD&gt;
-    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt; &lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
-      ---------------------------&lt;BR&gt;
-&lt;B&gt;&lt;I&gt;&lt;span style='font-size:26pt;
-  color:#FF6600;'&gt;WE &lt;/span&gt;&lt;/i&gt;&lt;/b&gt;
-&lt;BR&gt;
-      ---------------------------&lt;BR&gt;&lt;b&gt;Würth Elektronik&lt;/b&gt;&lt;/FONT&gt;
-    &lt;/TD&gt;
-    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
-      ---------O---&lt;BR&gt;
-      ----O--------&lt;BR&gt;
-      ---------O---&lt;BR&gt;
-      ----O--------&lt;BR&gt;
-      ---------O---&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
-    &lt;/TD&gt;
-   
-&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;
-      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
-       &lt;BR&gt;
-       &lt;BR&gt;
-       &lt;BR&gt;
-       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
-    &lt;/TD&gt;
-  &lt;/TR&gt;
-
-  &lt;TR&gt;
-    &lt;TD COLSPAN=7&gt;&amp;nbsp;
-    &lt;/TD&gt;
-  &lt;/TR&gt;
-  
-&lt;/TABLE&gt;
-&lt;B&gt;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;More than you expect&lt;BR&gt;&lt;BR&gt;&lt;BR&gt;&lt;/B&gt;
-
-&lt;HR&gt;&lt;BR&gt;
-&lt;b&gt;Würth Elektronik eiSos GmbH &amp; Co. KG&lt;/b&gt;&lt;br&gt;
-EMC &amp; Inductive Solutions&lt;br&gt;
-
-Max-Eyth-Str.1&lt;br&gt;
-D-74638 Waldenburg&lt;br&gt;
-&lt;br&gt;
-Tel: +49 (0)7942-945-0&lt;br&gt;
-Fax:+49 (0)7942-945-5000&lt;br&gt;
-&lt;br&gt;
-&lt;a href="http://www.we-online.com/web/en/electronic_components/produkte_pb/bauteilebibliotheken/eagle_4.php"&gt;www.we-online.com/eagle&lt;/a&gt;&lt;br&gt;
-&lt;a href="mailto:libraries@we-online.com"&gt;libraries@we-online.com&lt;/a&gt; &lt;BR&gt;&lt;BR&gt;
-&lt;br&gt;&lt;HR&gt;&lt;BR&gt;
-Neither Autodesk nor Würth Elektronik eiSos does warrant that this library is error-free or &lt;br&gt;
-that it meets your specific requirements.&lt;br&gt;&lt;BR&gt;
-Please contact us for more information.&lt;br&gt;
-&lt;HR&gt;
-&lt;br&gt;Eagle Version 9, Library Revision 2020a, 2020-01-03&lt;br&gt;
-&lt;HR&gt;
-Copyright: Würth Elektronik</description>
-<packages>
-<package name="691401700004B" urn="urn:adsk.eagle:footprint:16178239/1" library_version="3">
-<description>&lt;b&gt;WR-TBL Serie 401B - 5.00 mm Screwless Vertical Entry - 2.0 mm 2 Wires 
-&lt;br&gt;&lt;/b&gt;Max Height = 14mm , Pitch 5mm , 4pins</description>
-<pad name="1" x="-7.5" y="3.81" drill="1.3"/>
-<pad name="2" x="-2.5" y="3.81" drill="1.3"/>
-<pad name="A1" x="-7.5" y="-3.81" drill="1.3"/>
-<pad name="A2" x="-2.5" y="-3.81" drill="1.3"/>
-<pad name="3" x="2.5" y="3.81" drill="1.3"/>
-<pad name="A3" x="2.5" y="-3.81" drill="1.3"/>
-<pad name="4" x="7.5" y="3.81" drill="1.3"/>
-<pad name="A4" x="7.5" y="-3.81" drill="1.3"/>
-<wire x1="-12.54" y1="-5.31" x2="-12.54" y2="4.99" width="0.1" layer="51"/>
-<wire x1="-12.54" y1="4.99" x2="10" y2="4.99" width="0.1" layer="51"/>
-<wire x1="10" y1="4.99" x2="10" y2="-8.01" width="0.1" layer="51"/>
-<wire x1="10" y1="-8.01" x2="-9.8" y2="-8.01" width="0.1" layer="51"/>
-<wire x1="-12.64" y1="5.09" x2="10.1" y2="5.09" width="0.2" layer="21"/>
-<wire x1="10.1" y1="5.09" x2="10.1" y2="-8.11" width="0.2" layer="21"/>
-<wire x1="10.1" y1="-8.11" x2="-9.9" y2="-8.11" width="0.2" layer="21"/>
-<wire x1="-12.64" y1="-5.4" x2="-12.64" y2="5.09" width="0.2" layer="21"/>
-<wire x1="-9.8" y1="-5.31" x2="-12.54" y2="-5.31" width="0.1" layer="51"/>
-<wire x1="-9.8" y1="-5.31" x2="-9.8" y2="-8.01" width="0.1" layer="51"/>
-<wire x1="-9.9" y1="-8.11" x2="-9.9" y2="-5.4" width="0.2" layer="21"/>
-<wire x1="-9.9" y1="-5.4" x2="-12.64" y2="-5.4" width="0.2" layer="21"/>
-<text x="-4.5" y="-10" size="1.27" layer="27">&gt;VALUE</text>
-<text x="-1.5" y="6" size="1.27" layer="25" align="bottom-center">&gt;NAME</text>
-<text x="-8" y="-0.5" size="1.27" layer="48">1</text>
-<polygon width="0.1" layer="39">
-<vertex x="-12.84" y="5.29"/>
-<vertex x="10.3" y="5.29"/>
-<vertex x="10.3" y="-8.31"/>
-<vertex x="-12.84" y="-8.31"/>
-</polygon>
-<circle x="-9.3" y="4.3" radius="0.1" width="0.4" layer="21"/>
-</package>
-</packages>
-<packages3d>
-<package3d name="691401700004B" urn="urn:adsk.eagle:package:16178504/2" type="model" library_version="3">
-<description>&lt;b&gt;WR-TBL Serie 401B - 5.00 mm Screwless Vertical Entry - 2.0 mm 2 Wires 
-&lt;br&gt;&lt;/b&gt;Max Height = 14mm , Pitch 5mm , 4pins</description>
-<packageinstances>
-<packageinstance name="691401700004B"/>
-</packageinstances>
-</package3d>
-</packages3d>
-<symbols>
-<symbol name="4ST" urn="urn:adsk.eagle:symbol:16178110/1" library_version="3">
-<pin name="1" x="-5.08" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
-<pin name="2" x="-2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
-<pin name="3" x="0" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
-<pin name="4" x="2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
-<text x="-7.53" y="-1.205" size="1.016" layer="95" align="bottom-right">&gt;NAME</text>
-<text x="-7.49" y="-3.01" size="1.016" layer="96" align="bottom-right">&gt;VALUE</text>
-<wire x1="-6.35" y1="-2.54" x2="3.81" y2="-2.54" width="0.254" layer="94"/>
-<wire x1="3.81" y1="-2.54" x2="3.81" y2="0" width="0.254" layer="94"/>
-<wire x1="3.81" y1="0" x2="-6.35" y2="0" width="0.254" layer="94"/>
-<wire x1="-6.35" y1="0" x2="-6.35" y2="-2.54" width="0.254" layer="94"/>
-<wire x1="-5.08" y1="-1.778" x2="-5.08" y2="-2.54" width="0.254" layer="94"/>
-<wire x1="-2.54" y1="-1.778" x2="-2.54" y2="-2.54" width="0.254" layer="94"/>
-<wire x1="0" y1="-1.778" x2="0" y2="-2.54" width="0.254" layer="94"/>
-<wire x1="2.54" y1="-1.778" x2="2.54" y2="-2.54" width="0.254" layer="94"/>
-<circle x="-5.08" y="-1.27" radius="0.4445" width="0.254" layer="94"/>
-<circle x="-2.54" y="-1.27" radius="0.4445" width="0.254" layer="94"/>
-<circle x="0" y="-1.27" radius="0.4445" width="0.254" layer="94"/>
-<circle x="2.54" y="-1.27" radius="0.4445" width="0.254" layer="94"/>
-</symbol>
-</symbols>
-<devicesets>
-<deviceset name="691401700004B" urn="urn:adsk.eagle:component:16178767/2" prefix="J" uservalue="yes" library_version="3">
-<description>&lt;b&gt;WR-TBL Serie 401B - 5.00 mm Screwless Vertical Entry - 2.0 mm 2 Wires&lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;&lt;b&gt;
-KIND PROPERTIES &lt;/b&gt;
-&lt;br&gt;&lt;br&gt;
-Pitch 5 mm     
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;MATERIAL PROPERTIES &lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;Insulator Material PA66 
-&lt;br&gt;Insulator Flammability Rating UL94 V-0 
-&lt;br&gt;Contact Material Brass 
-&lt;br&gt;Contact Plating Tin 
-&lt;br&gt;Wire Guard Material Stainless Steel 
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;GENERAL INFORMATION &lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;Operating Temperature -40 up to +105 °C 
-&lt;br&gt;Compliance RoHS 
-&lt;br&gt;&lt;br&gt;
-&lt;b&gt;ELECTRICAL PROPERTIES &lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;IR cULus 10 A 
-&lt;br&gt;IR VDE 16 A 
-&lt;br&gt;Working Voltage [cULus] 300 V (AC) 
-&lt;br&gt;Working Voltage [VDE] 450 V (AC) 
-&lt;br&gt;Withstanding Voltage [cULus] 2000 V (AC) 
-&lt;br&gt;Contact Resistance [cULus] 20 mΩ 
-&lt;br&gt;Contact Resistance [VDE] 20 mΩ 
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;Mechanical Properties
-&lt;br&gt;
-&lt;br&gt;
-&lt;/b&gt;Wire Strip Length 9 up to 10 (mm)  
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;Wire Properties&lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;Solid Wire Section (AWG) 14 to 24 (AWG) 
-&lt;br&gt;Solid Wire Section (Metric) 2.08 to 0.205 (mm²) 
-&lt;br&gt;Stranded Wire Section (AWG) 14 to 24 (AWG) 
-&lt;br&gt;Stranded Wire Section (Metric) 2.08 to 0.205 (mm²) 
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;CERTIFICATION &lt;/b&gt;
-&lt;br&gt;
-&lt;br&gt;cULus Approval E315414 
-&lt;br&gt;VDE Approval 40036896 
-&lt;br&gt;
-&lt;br&gt;
-&lt;b&gt;Packaging Properties
-&lt;br&gt;
-&lt;br&gt;
-&lt;/b&gt;Packaging Box 
-&lt;br&gt;
-&lt;br&gt;
-&lt;br&gt;&lt;a href="https://www.we-online.com/catalog/media/o33321v209%20Family_WR-TBL_6914017000xxB.jpg" title="Enlarge picture"&gt;
-&lt;img src="https://www.we-online.com/catalog/media/o33321v209%20Family_WR-TBL_6914017000xxB.jpg" width="320"&gt;&lt;/a&gt;&lt;p&gt;
-Details see: &lt;a href="https://www.we-online.com/catalog/en/TBL_5_00_401B_SCREWLESS_VERTICAL_ENTRY_2_0MM2_WIRES_6914017000XXB/"&gt;https://www.we-online.com/catalog/en/TBL_5_00_401B_SCREWLESS_VERTICAL_ENTRY_2_0MM2_WIRES_6914017000XXB/&lt;/a&gt;&lt;p&gt;
-
-&lt;/b&gt;Updated by Ella Wu  2019-12-31&lt;br&gt;
-&lt;/b&gt;2019(C) Wurth Elektronik</description>
-<gates>
-<gate name="G$1" symbol="4ST" x="0" y="0"/>
-</gates>
-<devices>
-<device name="" package="691401700004B">
-<connects>
-<connect gate="G$1" pin="1" pad="1 A1"/>
-<connect gate="G$1" pin="2" pad="2 A2"/>
-<connect gate="G$1" pin="3" pad="3 A3"/>
-<connect gate="G$1" pin="4" pad="4 A4"/>
-</connects>
-<package3dinstances>
-<package3dinstance package3d_urn="urn:adsk.eagle:package:16178504/2"/>
-</package3dinstances>
-<technologies>
-<technology name="">
-<attribute name="DATASHEET-URL" value="https://www.we-online.com/catalog/datasheet/691401700004B.pdf" constant="no"/>
-<attribute name="IR-UL" value="10A" constant="no"/>
-<attribute name="IR-VDE" value="16A" constant="no"/>
-<attribute name="MOUNT" value="THT" constant="no"/>
-<attribute name="PART-NUMBER" value="691401700004B" constant="no"/>
-<attribute name="PINS" value=" 4 " constant="no"/>
-<attribute name="PITCH" value="5mm" constant="no"/>
-<attribute name="TYPE" value="Vertical" constant="no"/>
-<attribute name="WIRE" value="14 to 24 (AWG) 2.08 to 0.205 (mm²)" constant="no"/>
-<attribute name="WORKING-VOLTAGE-UL" value="300V (AC)" constant="no"/>
-<attribute name="WORKING-VOLTAGE-VDE" value="450V (AC)" constant="no"/>
-</technology>
-</technologies>
-</device>
-</devices>
-</deviceset>
-</devicesets>
-</library>
 <library name="buzzer">
 <description>&lt;b&gt;Speakers and Buzzers&lt;/b&gt;&lt;p&gt;
@@ -41604,4 +41365,222 @@
 <attribute name="OC_FARNELL" value="unknown" constant="no"/>
 <attribute name="OC_NEWARK" value="unknown" constant="no"/>
+</technology>
+</technologies>
+</device>
+</devices>
+</deviceset>
+</devicesets>
+</library>
+<library name="Wurth_Connectors_WR-WTB" urn="urn:adsk.eagle:library:15818693">
+<description>&lt;BR&gt;Wurth Elektronik - Connectors - Wire-to-Board Connectors - WR-WTB &lt;br&gt;&lt;Hr&gt;
+
+&lt;BR&gt;
+&lt;TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0&gt;
+&lt;TR&gt;   
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;&lt;br&gt;
+      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;
+      -----&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt; &lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      ---------------------------&lt;BR&gt;
+&lt;B&gt;&lt;I&gt;&lt;span style='font-size:26pt;
+  color:#FF6600;'&gt;WE &lt;/span&gt;&lt;/i&gt;&lt;/b&gt;
+&lt;BR&gt;
+      ---------------------------&lt;BR&gt;&lt;b&gt;Würth Elektronik&lt;/b&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+    &lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;br&gt;
+      ---------O---&lt;BR&gt;
+      ----O--------&lt;BR&gt;
+      ---------O---&lt;BR&gt;
+      ----O--------&lt;BR&gt;
+      ---------O---&lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+   
+&lt;TD BGCOLOR="#cccccc" ALIGN=CENTER&gt;&lt;FONT FACE=ARIAL SIZE=3&gt;&lt;BR&gt;
+      &amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp; &amp;nbsp;&lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;
+       &lt;BR&gt;&lt;BR&gt;&lt;/FONT&gt;
+    &lt;/TD&gt;
+  &lt;/TR&gt;
+
+  &lt;TR&gt;
+    &lt;TD COLSPAN=7&gt;&amp;nbsp;
+    &lt;/TD&gt;
+  &lt;/TR&gt;
+  
+&lt;/TABLE&gt;
+&lt;B&gt;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;More than you expect&lt;BR&gt;&lt;BR&gt;&lt;BR&gt;&lt;/B&gt;
+
+&lt;HR&gt;&lt;BR&gt;
+&lt;b&gt;Würth Elektronik eiSos GmbH &amp; Co. KG&lt;/b&gt;&lt;br&gt;
+EMC &amp; Inductive Solutions&lt;br&gt;
+
+Max-Eyth-Str.1&lt;br&gt;
+D-74638 Waldenburg&lt;br&gt;
+&lt;br&gt;
+Tel: +49 (0)7942-945-0&lt;br&gt;
+Fax:+49 (0)7942-945-5000&lt;br&gt;
+&lt;br&gt;
+&lt;a href="http://www.we-online.com/web/en/electronic_components/produkte_pb/bauteilebibliotheken/eagle_4.php"&gt;www.we-online.com/eagle&lt;/a&gt;&lt;br&gt;
+&lt;a href="mailto:libraries@we-online.com"&gt;libraries@we-online.com&lt;/a&gt; &lt;BR&gt;&lt;BR&gt;
+&lt;br&gt;&lt;HR&gt;&lt;BR&gt;
+Neither Autodesk nor Würth Elektronik eiSos does warrant that this library is error-free or &lt;br&gt;
+that it meets your specific requirements.&lt;br&gt;&lt;BR&gt;
+Please contact us for more information.&lt;br&gt;
+&lt;HR&gt;
+&lt;br&gt;Eagle Version 9, Library Revision 2022a, 2022-10-31&lt;br&gt;
+&lt;HR&gt;
+Copyright: Würth Elektronik</description>
+<packages>
+<package name="61900411121" urn="urn:adsk.eagle:footprint:15818784/2" library_version="4">
+<description>&lt;b&gt;WR-WTB&lt;/b&gt;&lt;br&gt; 2.54 mm Male Locking Header,4 Pins</description>
+<pad name="1" x="3.81" y="0.3" drill="1"/>
+<pad name="2" x="1.27" y="0.3" drill="1"/>
+<pad name="3" x="-1.27" y="0.3" drill="1"/>
+<pad name="4" x="-3.81" y="0.3" drill="1"/>
+<text x="6.055" y="0.6" size="1.016" layer="25">&gt;NAME</text>
+<text x="6.28" y="-1.38" size="1.016" layer="27">&gt;VALUE</text>
+<polygon width="0.1" layer="39">
+<vertex x="-5.38" y="3.2"/>
+<vertex x="5.38" y="3.2"/>
+<vertex x="5.38" y="-3.2"/>
+<vertex x="-5.38" y="-3.2"/>
+</polygon>
+<wire x1="-5.08" y1="2.9" x2="-3.81" y2="2.9" width="0.1" layer="51"/>
+<wire x1="-3.81" y1="2.9" x2="3.81" y2="2.9" width="0.1" layer="51"/>
+<wire x1="3.81" y1="2.9" x2="5.08" y2="2.9" width="0.1" layer="51"/>
+<wire x1="5.08" y1="2.9" x2="5.08" y2="-2.9" width="0.1" layer="51"/>
+<wire x1="5.08" y1="-2.9" x2="-5.08" y2="-2.9" width="0.1" layer="51"/>
+<wire x1="-5.08" y1="-2.9" x2="-5.08" y2="2.9" width="0.1" layer="51"/>
+<wire x1="-3.81" y1="2.9" x2="-3.81" y2="2.1" width="0.1" layer="51"/>
+<wire x1="-3.81" y1="2.1" x2="3.81" y2="2.1" width="0.1" layer="51"/>
+<wire x1="3.81" y1="2.1" x2="3.81" y2="2.9" width="0.1" layer="51"/>
+<wire x1="3.81" y1="1.6" x2="-3.81" y2="1.6" width="0.1" layer="51"/>
+<wire x1="-3.81" y1="1.6" x2="-3.81" y2="2.1" width="0.1" layer="51"/>
+<wire x1="3.81" y1="1.6" x2="3.81" y2="2.1" width="0.1" layer="51"/>
+<wire x1="-5.18" y1="3" x2="-3.91" y2="3" width="0.2" layer="21"/>
+<wire x1="-3.91" y1="3" x2="3.91" y2="3" width="0.2" layer="21"/>
+<wire x1="3.91" y1="3" x2="5.18" y2="3" width="0.2" layer="21"/>
+<wire x1="5.18" y1="3" x2="5.18" y2="-3" width="0.2" layer="21"/>
+<wire x1="5.18" y1="-3" x2="-5.18" y2="-3" width="0.2" layer="21"/>
+<wire x1="-5.18" y1="-3" x2="-5.18" y2="3" width="0.2" layer="21"/>
+<wire x1="-3.91" y1="3" x2="-3.91" y2="1.5" width="0.2" layer="21"/>
+<wire x1="-3.91" y1="1.5" x2="3.91" y2="1.5" width="0.2" layer="21"/>
+<wire x1="3.91" y1="1.5" x2="3.91" y2="3" width="0.2" layer="21"/>
+<circle x="4.78" y="1.2" radius="0.1" width="0.2" layer="21"/>
+</package>
+</packages>
+<packages3d>
+<package3d name="61900411121" urn="urn:adsk.eagle:package:15819012/3" type="model" library_version="4">
+<description>&lt;b&gt;WR-WTB&lt;/b&gt;&lt;br&gt; 2.54 mm Male Locking Header,4 Pins</description>
+<packageinstances>
+<packageinstance name="61900411121"/>
+</packageinstances>
+</package3d>
+</packages3d>
+<symbols>
+<symbol name="4MT" urn="urn:adsk.eagle:symbol:15818721/1" library_version="4">
+<description>4Pins Male THT</description>
+<pin name="1" x="5.08" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="2" x="2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="3" x="0" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<pin name="4" x="-2.54" y="-5.08" visible="pad" length="short" direction="pas" rot="R90"/>
+<text x="7.64" y="-1.655" size="1.016" layer="95">&gt;NAME</text>
+<text x="7.38" y="-3.06" size="1.016" layer="96">&gt;VALUE</text>
+<wire x1="-3.81" y1="-2.54" x2="6.35" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="6.35" y1="-2.54" x2="6.35" y2="0" width="0.254" layer="94"/>
+<wire x1="6.35" y1="0" x2="-3.81" y2="0" width="0.254" layer="94"/>
+<wire x1="-3.81" y1="0" x2="-3.81" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="2.54" y1="-1.27" x2="2.54" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="5.08" y1="-1.27" x2="5.08" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="0" y1="-1.27" x2="0" y2="-2.54" width="0.254" layer="94"/>
+<wire x1="-2.54" y1="-1.27" x2="-2.54" y2="-2.54" width="0.254" layer="94"/>
+<circle x="2.54" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="5.08" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="0" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+<circle x="-2.54" y="-1.27" radius="0.254" width="0.635" layer="94"/>
+</symbol>
+</symbols>
+<devicesets>
+<deviceset name="61900411121" urn="urn:adsk.eagle:component:15819242/4" prefix="J" library_version="4">
+<description>&lt;b&gt;WR-WTB 2.54 mm Male Locking Header&lt;/b&gt;&lt;BR&gt;
+&lt;BR&gt;
+&lt;b&gt;KIND PROPERTIES:&lt;/b&gt;
+&lt;BR&gt;
+&lt;BR&gt;Pitch:2.54 mm
+&lt;BR&gt;Gender:Male
+&lt;BR&gt;
+&lt;BR&gt;
+&lt;BR&gt;
+&lt;BR&gt;&lt;B&gt;MATERIAL PROPERTIES:&lt;/B&gt;
+&lt;BR&gt;
+&lt;BR&gt;Insulator Material :PA66
+&lt;BR&gt;Insulator Flammability Rating:UL94 V-0
+&lt;BR&gt;Insulator Color:Beige
+&lt;BR&gt;Contact Material:Copper Alloy
+&lt;BR&gt;Contact Plating:Tin
+&lt;BR&gt;Contact Type:Stamped
+&lt;BR&gt;
+&lt;BR&gt;&lt;B&gt;GENERAL INFORMATION&lt;/B&gt;
+&lt;BR&gt;Operating Temperature:-40 up to +105 °C
+&lt;BR&gt;Compliance: RoHS
+&lt;BR&gt;Working Voltage:250 V (AC)
+&lt;BR&gt;Withstanding Voltage:1000 V (AC)
+&lt;BR&gt;Contact Resistance:20 mΩ
+&lt;BR&gt;RISO:1000 MΩ
+&lt;BR&gt;
+&lt;BR&gt;&lt;B&gt;CERTIFICATION&lt;/B&gt;
+&lt;BR&gt;UL Approval:E323964
+&lt;BR&gt;&lt;B&gt;PACKAGING PROPERTIES&lt;/B&gt;
+&lt;BR&gt;Packaging:Bag
+&lt;BR&gt;
+&lt;br&gt;&lt;a href="https://katalog.we-online.com/media/images/v2/o33345v209%20Family_WR-WTB_6190xx11121.jpg" title="Enlarge picture"&gt;
+&lt;img src="https://katalog.we-online.com/media/images/v2/o33345v209%20Family_WR-WTB_6190xx11121.jpg" width="320"&gt;&lt;/a&gt;&lt;p&gt;
+
+Details see: &lt;a href="https://katalog.we-online.com/en/em/WTB_2_54_MALE_LOCKING_HEADER_6190XX11121"&gt;https://katalog.we-online.com/en/em/WTB_2_54_MALE_LOCKING_HEADER_6190XX11121&lt;/a&gt;&lt;p&gt;
+&lt;BR&gt;
+Updated by Ella Wu 2020-07-08
+&lt;BR&gt;
+2020 (C) Würth Elektronik</description>
+<gates>
+<gate name="G$1" symbol="4MT" x="0" y="0"/>
+</gates>
+<devices>
+<device name="" package="61900411121">
+<connects>
+<connect gate="G$1" pin="1" pad="1"/>
+<connect gate="G$1" pin="2" pad="2"/>
+<connect gate="G$1" pin="3" pad="3"/>
+<connect gate="G$1" pin="4" pad="4"/>
+</connects>
+<package3dinstances>
+<package3dinstance package3d_urn="urn:adsk.eagle:package:15819012/3"/>
+</package3dinstances>
+<technologies>
+<technology name="">
+<attribute name="CONTACT-RESISTANCE" value="20mOhm"/>
+<attribute name="DATASHEET-URL" value="https://www.we-online.com/redexpert/spec/61900411121?ae"/>
+<attribute name="GENDER" value="Male"/>
+<attribute name="L" value="10.16mm"/>
+<attribute name="MOUNT" value="THT"/>
+<attribute name="PACKAGING" value="Bag"/>
+<attribute name="PART-NUMBER" value=" 61900411121 "/>
+<attribute name="PCB-CABLE-PANEL" value="PCB"/>
+<attribute name="PINS" value=" 4 "/>
+<attribute name="PITCH" value="2.54mm"/>
+<attribute name="TYPE" value="Vertical"/>
+<attribute name="VALUE" value=" 61900411121 "/>
+<attribute name="WORKING-VOLTAGE" value="250V(AC)"/>
 </technology>
 </technologies>
@@ -42195,13 +42174,4 @@
 <attribute name="PARTNO" value="C448"/>
 </part>
-<part name="C3" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="153CLV-1010" package3d_urn="urn:adsk.eagle:package:23413/2" value="27µ/100V/low ESR">
-<spice>
-<pinmapping spiceprefix="C">
-<pinmap gate="G$1" pin="+" pinorder="1"/>
-<pinmap gate="G$1" pin="-" pinorder="2"/>
-</pinmapping>
-</spice>
-<attribute name="PARTNO" value="C448"/>
-</part>
 <part name="T3" library="TPW_MOSFET" deviceset="TPHR8504PL" device="">
 <attribute name="PARTNO" value="T134"/>
@@ -42260,5 +42230,4 @@
 <attribute name="PARTNO" value="CON441"/>
 </part>
-<part name="J2" library="Wurth_Connectors_WR-TBL Spring Clamp" library_urn="urn:adsk.eagle:library:16178084" deviceset="691401700004B" device="" package3d_urn="urn:adsk.eagle:package:16178504/2"/>
 <part name="CPM1" library="buzzer" deviceset="F/QMB" device="" value="PK-12N40PE-TQ">
 <attribute name="PARTNO" value="X005"/>
@@ -42297,4 +42266,6 @@
 <attribute name="DNP" value="T"/>
 </part>
+<part name="J2" library="Wurth_Connectors_WR-WTB" library_urn="urn:adsk.eagle:library:15818693" deviceset="61900411121" device="" package3d_urn="urn:adsk.eagle:package:15819012/3" value=" 61900411121 "/>
+<part name="J3" library="Wurth_Connectors_WR-WTB" library_urn="urn:adsk.eagle:library:15818693" deviceset="61900411121" device="" package3d_urn="urn:adsk.eagle:package:15819012/3" value=" 61900411121 "/>
 </parts>
 <sheets>
@@ -42313,5 +42284,5 @@
 <text x="25.4" y="238.76" size="1.778" layer="102">SI: 5A Flink Mini KFZ-Flachstecksicherung </text>
 <text x="225.425" y="210.82" size="1.27" layer="102">Grenzfequenz: 1,6Mhz</text>
-<text x="347.98" y="215.9" size="1.27" layer="102">Überspannungsschutz in Software auf
+<text x="299.72" y="233.68" size="1.27" layer="102">Überspannungsschutz in Software auf
 ca. 75V einstellen (Z- diode beginnt 
 bei 71,1 - 78.6 V zu leiten).</text>
@@ -42609,5 +42580,5 @@
 </instance>
 <instance part="D2" gate="G$1" x="358.14" y="234.95" smashed="yes" rot="R270">
-<attribute name="NAME" x="360.045" y="237.236" size="1.27" layer="95" rot="R270"/>
+<attribute name="NAME" x="354.965" y="237.236" size="1.27" layer="95" rot="R270"/>
 <attribute name="VALUE" x="353.314" y="226.441" size="1.27" layer="96"/>
 <attribute name="PARTNO" x="358.14" y="234.95" size="1.778" layer="96" display="off"/>
@@ -42795,9 +42766,4 @@
 <attribute name="PARTNO" x="342.9" y="233.68" size="1.778" layer="96" display="off"/>
 </instance>
-<instance part="C3" gate="G$1" x="335.28" y="233.68" smashed="yes" rot="R180">
-<attribute name="NAME" x="334.137" y="233.1974" size="1.778" layer="95" rot="R180"/>
-<attribute name="VALUE" x="332.613" y="249.4026" size="1.778" layer="96"/>
-<attribute name="PARTNO" x="335.28" y="233.68" size="1.778" layer="96" display="off"/>
-</instance>
 <instance part="T3" gate="G$1" x="274.32" y="185.42" smashed="yes">
 <attribute name="NAME" x="279.4" y="187.96" size="1.778" layer="95"/>
@@ -42840,8 +42806,4 @@
 <attribute name="NAME" x="265.43" y="241.3" size="1.27" layer="95" rot="R270"/>
 <attribute name="PARTNO" x="281.94" y="233.68" size="1.778" layer="96" display="off"/>
-</instance>
-<instance part="J2" gate="G$1" x="378.46" y="231.14" smashed="yes" rot="R270">
-<attribute name="NAME" x="377.255" y="238.67" size="1.016" layer="95" rot="R270" align="bottom-right"/>
-<attribute name="VALUE" x="375.45" y="238.63" size="1.016" layer="96" rot="R270" align="bottom-right"/>
 </instance>
 <instance part="CPM1" gate="G$1" x="157.48" y="81.28" smashed="yes" rot="MR90">
@@ -42889,4 +42851,12 @@
 <attribute name="VALUE" x="68.58" y="197.993" size="1.778" layer="96" rot="MR180"/>
 <attribute name="DNP" x="68.58" y="187.96" size="1.778" layer="96" rot="MR180" display="name"/>
+</instance>
+<instance part="J2" gate="G$1" x="373.38" y="233.68" smashed="yes" rot="R270">
+<attribute name="NAME" x="371.725" y="226.04" size="1.016" layer="95" rot="R270"/>
+<attribute name="VALUE" x="370.32" y="226.3" size="1.016" layer="96" rot="R270"/>
+</instance>
+<instance part="J3" gate="G$1" x="381" y="233.68" smashed="yes" rot="R270">
+<attribute name="NAME" x="379.345" y="226.04" size="1.016" layer="95" rot="R270"/>
+<attribute name="VALUE" x="377.94" y="226.3" size="1.016" layer="96" rot="R270"/>
 </instance>
 </instances>
@@ -43312,4 +43282,7 @@
 <junction x="20.32" y="193.04"/>
 <junction x="7.62" y="243.84"/>
+<pinref part="F2" gate="G$1" pin="1A"/>
+<wire x1="22.86" y1="193.04" x2="27.94" y2="193.04" width="0.1524" layer="91"/>
+<junction x="22.86" y="193.04"/>
 </segment>
 </net>
@@ -43571,20 +43544,19 @@
 <junction x="342.9" y="200.66"/>
 <pinref part="C4" gate="G$1" pin="+"/>
-<pinref part="C3" gate="G$1" pin="+"/>
-<wire x1="342.9" y1="231.14" x2="335.28" y2="231.14" width="0.1524" layer="91"/>
-<junction x="342.9" y="231.14"/>
-<wire x1="365.76" y1="231.14" x2="365.76" y2="228.6" width="0.1524" layer="91"/>
-<wire x1="365.76" y1="228.6" x2="365.76" y2="226.06" width="0.1524" layer="91"/>
-<wire x1="365.76" y1="226.06" x2="358.14" y2="226.06" width="0.1524" layer="91"/>
+<wire x1="363.22" y1="228.6" x2="363.22" y2="226.06" width="0.1524" layer="91"/>
+<wire x1="363.22" y1="226.06" x2="358.14" y2="226.06" width="0.1524" layer="91"/>
 <junction x="358.14" y="226.06"/>
-<wire x1="365.76" y1="231.14" x2="363.22" y2="231.14" width="0.1524" layer="91"/>
-<wire x1="363.22" y1="231.14" x2="363.22" y2="236.22" width="0.1524" layer="91"/>
-<wire x1="363.22" y1="236.22" x2="373.38" y2="236.22" width="0.1524" layer="91"/>
-<wire x1="373.38" y1="228.6" x2="365.76" y2="228.6" width="0.1524" layer="91"/>
-<junction x="365.76" y="228.6"/>
+<wire x1="363.22" y1="228.6" x2="363.22" y2="236.22" width="0.1524" layer="91"/>
+<wire x1="363.22" y1="236.22" x2="368.3" y2="236.22" width="0.1524" layer="91"/>
+<wire x1="368.3" y1="228.6" x2="363.22" y2="228.6" width="0.1524" layer="91"/>
+<junction x="363.22" y="228.6"/>
 <pinref part="J2" gate="G$1" pin="1"/>
 <pinref part="J2" gate="G$1" pin="4"/>
-<wire x1="373.38" y1="236.22" x2="370.84" y2="236.22" width="0.1524" layer="91"/>
-<wire x1="373.38" y1="228.6" x2="370.84" y2="228.6" width="0.1524" layer="91"/>
+<pinref part="J3" gate="G$1" pin="4"/>
+<wire x1="368.3" y1="236.22" x2="375.92" y2="236.22" width="0.1524" layer="91"/>
+<junction x="368.3" y="236.22"/>
+<pinref part="J3" gate="G$1" pin="1"/>
+<wire x1="368.3" y1="228.6" x2="375.92" y2="228.6" width="0.1524" layer="91"/>
+<junction x="368.3" y="228.6"/>
 </segment>
 </net>
@@ -43978,18 +43950,21 @@
 <pinref part="D2" gate="G$1" pin="A"/>
 <pinref part="C4" gate="G$1" pin="-"/>
-<pinref part="C3" gate="G$1" pin="-"/>
-<wire x1="342.9" y1="238.76" x2="335.28" y2="238.76" width="0.1524" layer="91"/>
-<junction x="342.9" y="238.76"/>
-<wire x1="365.76" y1="233.68" x2="365.76" y2="243.84" width="0.1524" layer="91"/>
-<wire x1="365.76" y1="243.84" x2="358.14" y2="243.84" width="0.1524" layer="91"/>
+<wire x1="360.68" y1="233.68" x2="360.68" y2="243.84" width="0.1524" layer="91"/>
+<wire x1="360.68" y1="243.84" x2="358.14" y2="243.84" width="0.1524" layer="91"/>
 <junction x="358.14" y="243.84"/>
 <pinref part="T1" gate="G$1" pin="4"/>
-<wire x1="370.84" y1="233.68" x2="365.76" y2="233.68" width="0.1524" layer="91"/>
-<wire x1="370.84" y1="231.14" x2="370.84" y2="233.68" width="0.1524" layer="91"/>
+<wire x1="365.76" y1="233.68" x2="360.68" y2="233.68" width="0.1524" layer="91"/>
+<wire x1="365.76" y1="231.14" x2="365.76" y2="233.68" width="0.1524" layer="91"/>
+<wire x1="365.76" y1="231.14" x2="368.3" y2="231.14" width="0.1524" layer="91"/>
+<wire x1="368.3" y1="233.68" x2="365.76" y2="233.68" width="0.1524" layer="91"/>
+<junction x="365.76" y="233.68"/>
+<pinref part="J2" gate="G$1" pin="2"/>
 <pinref part="J2" gate="G$1" pin="3"/>
-<wire x1="370.84" y1="231.14" x2="373.38" y2="231.14" width="0.1524" layer="91"/>
-<pinref part="J2" gate="G$1" pin="2"/>
-<wire x1="373.38" y1="233.68" x2="370.84" y2="233.68" width="0.1524" layer="91"/>
-<junction x="370.84" y="233.68"/>
+<pinref part="J3" gate="G$1" pin="3"/>
+<wire x1="368.3" y1="233.68" x2="375.92" y2="233.68" width="0.1524" layer="91"/>
+<junction x="368.3" y="233.68"/>
+<pinref part="J3" gate="G$1" pin="2"/>
+<wire x1="368.3" y1="231.14" x2="375.92" y2="231.14" width="0.1524" layer="91"/>
+<junction x="368.3" y="231.14"/>
 </segment>
 </net>
@@ -44031,4 +44006,7 @@
 <wire x1="50.8" y1="193.04" x2="45.72" y2="193.04" width="0.1524" layer="91"/>
 <junction x="45.72" y="193.04"/>
+<pinref part="F2" gate="G$1" pin="2A"/>
+<wire x1="43.18" y1="193.04" x2="38.1" y2="193.04" width="0.1524" layer="91"/>
+<junction x="43.18" y="193.04"/>
 </segment>
 </net>
